namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Iron Fist is an ability that increases the power of punching moves.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Iron_Fist_(Ability)">Bulbapedia - Iron Fist</see>
/// </summary>
[Script(ScriptCategory.Ability, "iron_fist")]
public class IronFist : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (move.UseMove.HasFlag(MoveFlags.Punch))
            basePower = basePower.MultiplyOrMax(1.2f);
    }
}